%define vimruntime %(vim -e -T dumb --cmd 'exe "set t_cm=\<C-M>"|echo $VIMRUNTIME|quit' | sed -e 's|<C-M>||g')
Name:           cream
Version:        0.43
Release:        1%{?dist}
Summary:        An easy-to-use configuration of the GVim text editor

Group:          Applications/Editors
License:        GPLv3+
URL:            http://sourceforge.net/projects/cream/
Source0:        http://downloads.sourceforge.net/project/%{name}/Cream/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  vim-X11
Requires:       vim-X11 ctags

BuildArch:      noarch

%description
An easy-to-use configuration of the GVim text editor

%prep
%setup -q
sed -i 's|$PREFIX/bin|$DESTDIR%{_bindir}|g' INSTALL.sh
sed -i 's|$PREFIX/share/applications|$DESTDIR%{_datadir}/applications|g' INSTALL.sh
sed -i 's|XClassHintResName|X-ClassHintResName|g' %{name}.desktop
sed -i 's|Terminal=0|Terminal=false|g' %{name}.desktop
sed -i 's|Application;||g' %{name}.desktop
sed -i '/Encoding/d;/MapNotify/d' %{name}.desktop

sed -i 's|59 Temple Place - Suite 330|51 Franklin St, Fifth Floor|g' $(find . -name '*.vim')
sed -i 's|59  Temple  Place  -  Suite  330|51 Franklin St, Fifth Floor|g' $(find . -name '*.vim')
sed -i 's|59 Temple Place, Suite 330|51 Franklin St, Fifth Floor|g' $(find . -name '*.vim')
sed -i 's|59  Temple  Place,   Suite  330|51 Franklin St, Fifth Floor|g' $(find . -name '*.vim')
sed -i 's|59 Temple Place, Suite 330|51 Franklin St, Fifth Floor|g' creamrc
sed -i 's|02111-1307|02110-1301|g' creamrc
sed -i 's|02111-1307|02110-1301|g' $(find . -name '*.vim')
chmod -x %{name}.desktop
iconv -f iso8859-1 -t utf-8 docs/CHANGELOG.txt > AUTHORS.conv && mv -f AUTHORS.conv docs/CHANGELOG.txt

%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
export DESTDIR=$RPM_BUILD_ROOT
sh INSTALL.sh
desktop-file-install %{name}.desktop \
                     --dir $RPM_BUILD_ROOT%{_datadir}/applications
rm -rf $RPM_BUILD_ROOT%{_prefix}/local
install -Dpm 644 cream.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
install -Dpm 644 cream.svg $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%doc docs/{COPYING,CHANGELOG,README}.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{vimruntime}/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.*

%changelog
* Wed Jun 08 2011 Hicham HAOUARI <hicham.haouari@gmail.com> - 0.43-1
- Initial package
